curl --request POST \
--url https://api.powertokens.ai/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "wan2.2-kf2v-flash",
"images": [
"https://example.com/first-frame.png",
"https://example.com/last-frame.png"
],
"prompt": "写实风格,一只黑色小猫好奇地看向天空,镜头从平视逐渐上升,最后俯拍它的好奇的眼神。",
"seconds": "5",
"size": "720P",
"prompt_extend": true
}
'{
"id": "<string>",
"task_id": "<string>",
"object": "video",
"model": "<string>",
"status": "pending",
"progress": 123,
"created_at": 123
}适用于 Wan 系列首尾帧图生视频模型。提交任务后,请通过 GET /v1/videos/{task_id} 查询状态。
公开字段:model、images、prompt、seconds、size、prompt_extend、watermark、seed、negative_prompt。其中 images 必须按顺序传入 2 张图:images[0] 为首帧,images[1] 为尾帧。首帧决定基础构图,尾帧用于控制收束画面。
curl --request POST \
--url https://api.powertokens.ai/v1/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "wan2.2-kf2v-flash",
"images": [
"https://example.com/first-frame.png",
"https://example.com/last-frame.png"
],
"prompt": "写实风格,一只黑色小猫好奇地看向天空,镜头从平视逐渐上升,最后俯拍它的好奇的眼神。",
"seconds": "5",
"size": "720P",
"prompt_extend": true
}
'{
"id": "<string>",
"task_id": "<string>",
"object": "video",
"model": "<string>",
"status": "pending",
"progress": 123,
"created_at": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
万相首尾帧图生视频模型。
wan2.2-kf2v-flash, wan2.1-kf2v-plus 首尾帧图像 URL 数组,必须按顺序传入 2 张图:images[0] 为首帧,images[1] 为尾帧。输出视频的宽高比与首帧图像保持一致,尾帧会被裁剪适配为首帧的宽高比。
2 elements文本提示词,描述首帧到尾帧的变化过程。支持中英文,长度不超过 800 个字符。
视频生成时长(秒)的字符串形式。当前固定为 "5"。
生成视频的分辨率档位。wan2.2-kf2v-flash 支持 480P/720P/1080P,wan2.1-kf2v-plus 支持 720P。
480P, 720P, 1080P 是否开启提示词智能改写。
是否在视频中添加水印。
随机数种子,取值范围 [0, 2147483647]。
反向提示词,描述不希望在视频中看到的内容。长度不超过 500 个字符。